Summary: Allows several audio streams to play on a single audio device.
Name: esound

%global momorel 2
Version: 0.2.34
Release: %{momorel}m
Group: System Environment/Daemons
License: GPL
URL: http://www.tux.org/~ricdude/EsounD.html

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.2/%{name}-%{version}.tar.bz2 406514a52fe5daea32ec00cc2caedb25
Source1: audio_linux.c

#Patch0: esound-0.2.32-dl.patch
Patch1:	esound-use-arts.patch
Patch2: esound-0.2.34-dl.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
%ifnarch sparc
BuildPreReq: alsa-lib, kernel-headers
%endif
BuildRequires: audiofile-devel >= 0.2.5
BuildPrereq: pkgconfig >= 0.15.0

%description
EsounD, the Enlightened Sound Daemon, is a server process that mixes
several audio streams for playback by a single audio device. For
example, if you're listening to music on a CD and you receive a
sound-related event from ICQ, the two applications won't have to
jockey for the use of your sound card.

Install esound if you'd like to let sound applications share your
audio device. You'll also need to install the audiofile package.

%package devel
Summary: Development files for EsounD applications.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: audiofile-devel

%description devel
The esound-devel Libraries, include files and other resources you can
use to develop EsounD applications.

Install esound-devel if you want to develop EsounD applications.

%prep
%setup -q
%patch2 -p1 -b .dl
%patch1 -p1 -b .usearts
cp %{SOURCE1} .

%build
libtoolize -c -f
aclocal
automake-old
autoconf
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TIPS TODO
%config %{_sysconfdir}/esd.conf
%{_bindir}/esd
%{_bindir}/esdfilt
%{_bindir}/esdloop
%{_bindir}/esdplay
%{_bindir}/esdcat
%{_bindir}/esdctl
%{_bindir}/esddsp
%{_bindir}/esdmon
%{_bindir}/esdrec
%{_bindir}/esdsample
%{_mandir}/man1/esd.1*
%{_mandir}/man1/esdfilt.1*
%{_mandir}/man1/esdloop.1*
%{_mandir}/man1/esdplay.1*
%{_mandir}/man1/esdcat.1*
%{_mandir}/man1/esdctl.1*
%{_mandir}/man1/esddsp.1*
%{_mandir}/man1/esdmon.1*
%{_mandir}/man1/esdrec.1*
%{_mandir}/man1/esdsample.1*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%doc docs/esound.sgml docs/html docs/esound.ps
%{_bindir}/esd-config
%{_libdir}/lib*.so
%{_libdir}/lib*a
%{_libdir}/pkgconfig/esound.pc
%{_mandir}/man1/esd-config.1*
%{_includedir}/esd.h
%{_datadir}/aclocal/*.m4

%changelog
* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.34-2m)
- adjustment BuildPreReq

* Mon Apr 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.2.34-1m)
- version 0.2.34
- GNOME 2.6 Desktop
- exchange for Patch0 to Patch2

* Mon Jan 26 2004 Kenta MURATA <muraken2@nifty.com>
- (0.2.32-2m)
- fix for SEGV.

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (0.2.32-1m)
- pretty spec file.

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.2.32-1m)
- version 0.2.31

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.31-1m)
- version 0.2.31

* Sat Aug 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.30-1m)
- version 0.2.30

* Fri Sep 20 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.2.29-5m)
- change Source0

* Thu Aug 29 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.29-4m)
- update audio-linux.c
- update esound-use-arts.patch

* Wed Aug 28 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.29-3m)
- update audio-linux.c
- arts TT
  esd -arts if use arts.

* Tue Aug 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.29-2m)
- update dl patch for alsa 0.9

* Tue Aug 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.2.29-1m)
- version 0.2.29

* Sat Jul 06 2002 Kenta MURATA <muraken2@nifty.com>
- (0.2.28-1m)
- version 0.2.28

* Thu Jun 20 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.27-4k)
- dl patch

* Wed Jun 12 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.27-2k)
- version 0.2.27

* Fri Jun  7 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.26-2k)
- version 0.2.26

* Sun May 05 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.25-2k)
- version 0.2.25

* Wed May 01 2002 Motonobu Ichimura <famao@kondara.org>
- (0.2.24-4k)
- fix defattr

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.24-2k)
- version 0.2.24

* Sun Mar 17 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.24-2k)
- version 0.2.24

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (0.2.23-8k)                      
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Jan  9 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.23-6k)
- automake autoconf 1.5

* Mon Jan  7 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.23-4k)
- add .pc in %files section
- clean up spec file

* Mon Sep 17 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (0.2.23-2k)
- version 0.2.23

* Mon Aug 27 2001 Shingo Akagaki <dora@kondara.org>
- (0.2.22-8k)
- add patches from RawHide

* Mon Jul 30 2001 Toru Hoshina <toru@df-usa.com>
- (0.2.22-6k)
- add alphaev5 support.

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (0.2.22-5k)
- rebuild against audiofile-0.2.1.

* Sun Mar 16 2001 Shingo Akagaki <dora@kondara.org>
- K2K

* Mon Jan 15 2001 Toru Hoshina <toru@df-usa.com>
- (0.2.22-3k)

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (0.2.20-9k)
- rebuild against audiofile-0.2.0.

* Thu Nov 23 2000 Kenichi Matsubara <m@kondara.org>
- not strip in specfile.

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.2.20-3k)
- fixed for FHS

* Thu Oct 12 2000 Shingo Akagaki <dora@kondara.org>
- Update to 0.2.20
- esound dl patch from Kondara MNU/Linux 
- ALSA OSS runtime selection patch from Kondara MNU/Linux

* Tue Apr 4 2000 Elliot Lee <sopwith@redhat.com> 0.2.18-1
- Update to 0.2.18

* Mon Aug 30 1999 Elliot Lee <sopwith@redhat.com> 0.2.13-1
- Update to 0.2.13
- Merge in changes from RHL 6.0 spec file.

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>

- added %{_prefix}/share/aclocal/* to %files devel
- added spanish and french translations for rpm

* Thu Oct 1 1998 Ricdude <ericmit@ix.netcom.com>

- make autoconf do the version updating for us.

* Wed May 13 1998 Michael Fulbright <msf@redhat.com>

- First try at an RPM
